#include<stdio.h>

int main()
{int x1,x2;
char p,d;
scanf("%c%c",&p,&d);
scanf("%d %d",&x1,&x2);
if(x1-x2>=2||x2-x1>=2){printf("nemoguce");return 0;}
if(x1>x2)
{for(int i=0;i<x2;i++)
   {putchar(p);
    putchar(d);
   }
   putchar(p);
}
else if(x1<x2)
{for(int i=0;i<x2;i++)
   { putchar(d);
     putchar(p);
   }
    putchar(d);
}
else for(int i=0;i<x2;i++)
   {putchar(p);
    putchar(d);
   }
    return 0;
}